#version 450


layout (location = 1) in vec3 in_normal;
layout (location = 0) in vec4 inColor;
 
layout (binding = 0) uniform UniformBuffer {
	vec4 color;
	mat4 modelViewProjMatrix;
	ivec4 userInput;
} ub_data;


layout (location = 0) out vec4 out_color;

void main()
{
	if (ub_data.userInput[0] == 1) {
        out_color = vec4(in_normal, 1.0f);
    } else {
        // Standard color rendering logic
        out_color = inColor;
    }
}
